using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;

namespace App_VCSNet
{
	/// <summary>
	/// Summary description for BookForm.
	/// </summary>
	public class BookForm : System.Windows.Forms.Form
	{
		private System.Data.OleDb.OleDbDataAdapter oleDbDataAdapter1;
		private App_VCSNet.Bookdset objBookdset;
		private System.Windows.Forms.Label lblBook;
		private System.Windows.Forms.Label lblBookTitle;
		private System.Windows.Forms.Label lblChapter;
		private System.Windows.Forms.TextBox editBook;
		private System.Windows.Forms.TextBox editBookTitle;
		private System.Windows.Forms.TextBox editChapter;
		private System.Windows.Forms.Label lblVerse;
		private System.Windows.Forms.TextBox editTextData;
		private System.Windows.Forms.TextBox editVerse;
		private System.Windows.Forms.Button btnNavFirst;
		private System.Windows.Forms.Button btnNavPrev;
		private System.Windows.Forms.Label lblNavLocation;
		private System.Windows.Forms.Button btnNavNext;
		private System.Windows.Forms.Button btnLast;
		private System.Windows.Forms.ImageList imageList1;
		private System.Windows.Forms.PictureBox pictureBox1;
		private System.Windows.Forms.PictureBox pictureBox2;
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.Button btnabout;
		private System.Windows.Forms.Button btnDone;
		private System.Windows.Forms.TabPage tabPage1;
		private System.Windows.Forms.TabPage tabPage2;
		private System.Windows.Forms.Label label2;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label4;
		private System.Windows.Forms.TextBox TxtWord;
		private System.Windows.Forms.Button btnsearch;
		private System.Windows.Forms.Button btnview;
		private System.Windows.Forms.ListView listView1;
		private System.Windows.Forms.Label lbinfo1;
		private System.Windows.Forms.ImageList imageList2;
		private System.Windows.Forms.ComboBox cmbtitle;
		private System.Windows.Forms.ComboBox cmbbook;
		private System.Windows.Forms.ComboBox cmbchapter;
		private System.Windows.Forms.ComboBox cmbverse;
		private System.Windows.Forms.Label label5;
		private System.Windows.Forms.Label label6;
		private System.Windows.Forms.Label label7;
		private System.Windows.Forms.Label label8;
		private System.Windows.Forms.Label label9;
        private System.Windows.Forms.RichTextBox richTextData;
		private System.ComponentModel.IContainer components;
		
		// Variables
        // Declaration, MainForm Form
		App_VCSNet.MainForm fm = new MainForm();

		int View_Listview;
		int vrow;	
		// Select command
		System.Data.OleDb.OleDbCommand selectCMD ;
		// Data adapter
		System.Data.OleDb.OleDbDataAdapter bookDA = new System.Data.OleDb.OleDbDataAdapter();
		private System.Data.OleDb.OleDbCommand oleDbSelectCommand1;
		private System.Data.OleDb.OleDbCommand oleDbInsertCommand1;
		private System.Data.OleDb.OleDbConnection oleDbConnection1;
		
		// DataSet
		System.Data.DataSet KJVDSet;
		
		
		public BookForm()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.components = new System.ComponentModel.Container();
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(BookForm));
			this.oleDbDataAdapter1 = new System.Data.OleDb.OleDbDataAdapter();
			this.objBookdset = new App_VCSNet.Bookdset();
			this.lblBook = new System.Windows.Forms.Label();
			this.lblBookTitle = new System.Windows.Forms.Label();
			this.lblChapter = new System.Windows.Forms.Label();
			this.editBook = new System.Windows.Forms.TextBox();
			this.editBookTitle = new System.Windows.Forms.TextBox();
			this.editChapter = new System.Windows.Forms.TextBox();
			this.lblVerse = new System.Windows.Forms.Label();
			this.editTextData = new System.Windows.Forms.TextBox();
			this.editVerse = new System.Windows.Forms.TextBox();
			this.btnNavFirst = new System.Windows.Forms.Button();
			this.btnNavPrev = new System.Windows.Forms.Button();
			this.lblNavLocation = new System.Windows.Forms.Label();
			this.btnNavNext = new System.Windows.Forms.Button();
			this.btnLast = new System.Windows.Forms.Button();
			this.imageList1 = new System.Windows.Forms.ImageList(this.components);
			this.pictureBox1 = new System.Windows.Forms.PictureBox();
			this.pictureBox2 = new System.Windows.Forms.PictureBox();
			this.tabControl1 = new System.Windows.Forms.TabControl();
			this.tabPage1 = new System.Windows.Forms.TabPage();
			this.lbinfo1 = new System.Windows.Forms.Label();
			this.listView1 = new System.Windows.Forms.ListView();
			this.imageList2 = new System.Windows.Forms.ImageList(this.components);
			this.btnview = new System.Windows.Forms.Button();
			this.btnsearch = new System.Windows.Forms.Button();
			this.TxtWord = new System.Windows.Forms.TextBox();
			this.label2 = new System.Windows.Forms.Label();
			this.tabPage2 = new System.Windows.Forms.TabPage();
			this.label9 = new System.Windows.Forms.Label();
			this.label8 = new System.Windows.Forms.Label();
			this.label7 = new System.Windows.Forms.Label();
			this.label6 = new System.Windows.Forms.Label();
			this.label5 = new System.Windows.Forms.Label();
			this.cmbverse = new System.Windows.Forms.ComboBox();
			this.cmbchapter = new System.Windows.Forms.ComboBox();
			this.cmbbook = new System.Windows.Forms.ComboBox();
			this.cmbtitle = new System.Windows.Forms.ComboBox();
			this.label1 = new System.Windows.Forms.Label();
			this.btnabout = new System.Windows.Forms.Button();
			this.btnDone = new System.Windows.Forms.Button();
			this.label3 = new System.Windows.Forms.Label();
			this.label4 = new System.Windows.Forms.Label();
			this.richTextData = new System.Windows.Forms.RichTextBox();
			this.oleDbSelectCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbInsertCommand1 = new System.Data.OleDb.OleDbCommand();
			this.oleDbConnection1 = new System.Data.OleDb.OleDbConnection();
			((System.ComponentModel.ISupportInitialize)(this.objBookdset)).BeginInit();
			this.tabControl1.SuspendLayout();
			this.tabPage1.SuspendLayout();
			this.tabPage2.SuspendLayout();
			this.SuspendLayout();
			// 
			// oleDbDataAdapter1
			// 
			this.oleDbDataAdapter1.InsertCommand = this.oleDbInsertCommand1;
			this.oleDbDataAdapter1.SelectCommand = this.oleDbSelectCommand1;
			this.oleDbDataAdapter1.TableMappings.AddRange(new System.Data.Common.DataTableMapping[] {
																										new System.Data.Common.DataTableMapping("Table", "BibleTable", new System.Data.Common.DataColumnMapping[] {
																																																					  new System.Data.Common.DataColumnMapping("Book", "Book"),
																																																					  new System.Data.Common.DataColumnMapping("BookTitle", "BookTitle"),
																																																					  new System.Data.Common.DataColumnMapping("Chapter", "Chapter"),
																																																					  new System.Data.Common.DataColumnMapping("TextData", "TextData"),
																																																					  new System.Data.Common.DataColumnMapping("Verse", "Verse")})});
			// 
			// objBookdset
			// 
			this.objBookdset.DataSetName = "Bookdset";
			this.objBookdset.Locale = new System.Globalization.CultureInfo("en-US");
			// 
			// lblBook
			// 
			this.lblBook.Location = new System.Drawing.Point(24, 256);
			this.lblBook.Name = "lblBook";
			this.lblBook.Size = new System.Drawing.Size(56, 16);
			this.lblBook.TabIndex = 2;
			this.lblBook.Text = "Book";
			// 
			// lblBookTitle
			// 
			this.lblBookTitle.Location = new System.Drawing.Point(192, 264);
			this.lblBookTitle.Name = "lblBookTitle";
			this.lblBookTitle.Size = new System.Drawing.Size(56, 16);
			this.lblBookTitle.TabIndex = 3;
			this.lblBookTitle.Text = "BookTitle";
			// 
			// lblChapter
			// 
			this.lblChapter.Location = new System.Drawing.Point(24, 288);
			this.lblChapter.Name = "lblChapter";
			this.lblChapter.Size = new System.Drawing.Size(56, 16);
			this.lblChapter.TabIndex = 4;
			this.lblChapter.Text = "Chapter";
			// 
			// editBook
			// 
			this.editBook.BackColor = System.Drawing.SystemColors.Info;
			this.editBook.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.objBookdset, "BibleTable.Book"));
			this.editBook.Location = new System.Drawing.Point(80, 256);
			this.editBook.Name = "editBook";
			this.editBook.Size = new System.Drawing.Size(80, 20);
			this.editBook.TabIndex = 5;
			this.editBook.Text = "";
			// 
			// editBookTitle
			// 
			this.editBookTitle.BackColor = System.Drawing.SystemColors.Info;
			this.editBookTitle.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.objBookdset, "BibleTable.BookTitle"));
			this.editBookTitle.Location = new System.Drawing.Point(248, 256);
			this.editBookTitle.Name = "editBookTitle";
			this.editBookTitle.Size = new System.Drawing.Size(80, 20);
			this.editBookTitle.TabIndex = 6;
			this.editBookTitle.Text = "";
			// 
			// editChapter
			// 
			this.editChapter.BackColor = System.Drawing.SystemColors.Info;
			this.editChapter.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.objBookdset, "BibleTable.Chapter"));
			this.editChapter.Location = new System.Drawing.Point(80, 280);
			this.editChapter.Name = "editChapter";
			this.editChapter.Size = new System.Drawing.Size(80, 20);
			this.editChapter.TabIndex = 7;
			this.editChapter.Text = "";
			// 
			// lblVerse
			// 
			this.lblVerse.Location = new System.Drawing.Point(192, 288);
			this.lblVerse.Name = "lblVerse";
			this.lblVerse.Size = new System.Drawing.Size(56, 16);
			this.lblVerse.TabIndex = 9;
			this.lblVerse.Text = "Verse";
			// 
			// editTextData
			// 
			this.editTextData.BackColor = System.Drawing.SystemColors.Info;
			this.editTextData.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.objBookdset, "BibleTable.TextData"));
			this.editTextData.Location = new System.Drawing.Point(16, 312);
			this.editTextData.Multiline = true;
			this.editTextData.Name = "editTextData";
			this.editTextData.ScrollBars = System.Windows.Forms.ScrollBars.Vertical;
			this.editTextData.Size = new System.Drawing.Size(328, 96);
			this.editTextData.TabIndex = 10;
			this.editTextData.Text = "";
			// 
			// editVerse
			// 
			this.editVerse.BackColor = System.Drawing.SystemColors.Info;
			this.editVerse.DataBindings.Add(new System.Windows.Forms.Binding("Text", this.objBookdset, "BibleTable.Verse"));
			this.editVerse.Location = new System.Drawing.Point(248, 280);
			this.editVerse.Name = "editVerse";
			this.editVerse.Size = new System.Drawing.Size(80, 20);
			this.editVerse.TabIndex = 11;
			this.editVerse.Text = "";
			// 
			// btnNavFirst
			// 
			this.btnNavFirst.Location = new System.Drawing.Point(104, 424);
			this.btnNavFirst.Name = "btnNavFirst";
			this.btnNavFirst.Size = new System.Drawing.Size(32, 23);
			this.btnNavFirst.TabIndex = 12;
			this.btnNavFirst.Text = "<<";
			this.btnNavFirst.Click += new System.EventHandler(this.btnNavFirst_Click);
			// 
			// btnNavPrev
			// 
			this.btnNavPrev.Location = new System.Drawing.Point(136, 424);
			this.btnNavPrev.Name = "btnNavPrev";
			this.btnNavPrev.Size = new System.Drawing.Size(32, 23);
			this.btnNavPrev.TabIndex = 13;
			this.btnNavPrev.Text = "<";
			this.btnNavPrev.Click += new System.EventHandler(this.btnNavPrev_Click);
			// 
			// lblNavLocation
			// 
			this.lblNavLocation.BackColor = System.Drawing.Color.White;
			this.lblNavLocation.Location = new System.Drawing.Point(8, 424);
			this.lblNavLocation.Name = "lblNavLocation";
			this.lblNavLocation.Size = new System.Drawing.Size(88, 23);
			this.lblNavLocation.TabIndex = 14;
			this.lblNavLocation.Text = "No Records";
			this.lblNavLocation.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
			// 
			// btnNavNext
			// 
			this.btnNavNext.Location = new System.Drawing.Point(176, 424);
			this.btnNavNext.Name = "btnNavNext";
			this.btnNavNext.Size = new System.Drawing.Size(32, 23);
			this.btnNavNext.TabIndex = 15;
			this.btnNavNext.Text = ">";
			this.btnNavNext.Click += new System.EventHandler(this.btnNavNext_Click);
			// 
			// btnLast
			// 
			this.btnLast.Location = new System.Drawing.Point(208, 424);
			this.btnLast.Name = "btnLast";
			this.btnLast.Size = new System.Drawing.Size(32, 23);
			this.btnLast.TabIndex = 16;
			this.btnLast.Text = ">>";
			this.btnLast.Click += new System.EventHandler(this.btnLast_Click);
			// 
			// imageList1
			// 
			this.imageList1.ImageSize = new System.Drawing.Size(16, 16);
			this.imageList1.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList1.ImageStream")));
			this.imageList1.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// pictureBox1
			// 
			this.pictureBox1.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox1.Image")));
			this.pictureBox1.Location = new System.Drawing.Point(56, 24);
			this.pictureBox1.Name = "pictureBox1";
			this.pictureBox1.Size = new System.Drawing.Size(262, 201);
			this.pictureBox1.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
			this.pictureBox1.TabIndex = 17;
			this.pictureBox1.TabStop = false;
			// 
			// pictureBox2
			// 
			this.pictureBox2.Image = ((System.Drawing.Image)(resources.GetObject("pictureBox2.Image")));
			this.pictureBox2.Location = new System.Drawing.Point(416, 24);
			this.pictureBox2.Name = "pictureBox2";
			this.pictureBox2.Size = new System.Drawing.Size(221, 201);
			this.pictureBox2.SizeMode = System.Windows.Forms.PictureBoxSizeMode.AutoSize;
			this.pictureBox2.TabIndex = 18;
			this.pictureBox2.TabStop = false;
			// 
			// tabControl1
			// 
			this.tabControl1.Controls.Add(this.tabPage1);
			this.tabControl1.Controls.Add(this.tabPage2);
			this.tabControl1.Location = new System.Drawing.Point(376, 256);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(312, 200);
			this.tabControl1.TabIndex = 19;
			// 
			// tabPage1
			// 
			this.tabPage1.BackColor = System.Drawing.SystemColors.Info;
			this.tabPage1.Controls.Add(this.lbinfo1);
			this.tabPage1.Controls.Add(this.listView1);
			this.tabPage1.Controls.Add(this.btnview);
			this.tabPage1.Controls.Add(this.btnsearch);
			this.tabPage1.Controls.Add(this.TxtWord);
			this.tabPage1.Controls.Add(this.label2);
			this.tabPage1.Location = new System.Drawing.Point(4, 22);
			this.tabPage1.Name = "tabPage1";
			this.tabPage1.Size = new System.Drawing.Size(304, 174);
			this.tabPage1.TabIndex = 0;
			this.tabPage1.Text = "             By word              ";
			// 
			// lbinfo1
			// 
			this.lbinfo1.Location = new System.Drawing.Point(16, 152);
			this.lbinfo1.Name = "lbinfo1";
			this.lbinfo1.Size = new System.Drawing.Size(264, 23);
			this.lbinfo1.TabIndex = 5;
			// 
			// listView1
			// 
			this.listView1.LargeImageList = this.imageList2;
			this.listView1.Location = new System.Drawing.Point(8, 40);
			this.listView1.Name = "listView1";
			this.listView1.Size = new System.Drawing.Size(288, 112);
			this.listView1.SmallImageList = this.imageList1;
			this.listView1.TabIndex = 4;
			this.listView1.Click += new System.EventHandler(this.listView1_Click);
			// 
			// imageList2
			// 
			this.imageList2.ImageSize = new System.Drawing.Size(32, 32);
			this.imageList2.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList2.ImageStream")));
			this.imageList2.TransparentColor = System.Drawing.Color.Transparent;
			// 
			// btnview
			// 
			this.btnview.BackColor = System.Drawing.SystemColors.InactiveCaption;
			this.btnview.Enabled = false;
			this.btnview.Location = new System.Drawing.Point(248, 8);
			this.btnview.Name = "btnview";
			this.btnview.Size = new System.Drawing.Size(48, 24);
			this.btnview.TabIndex = 3;
			this.btnview.Text = "View";
			this.btnview.Click += new System.EventHandler(this.btnview_Click);
			// 
			// btnsearch
			// 
			this.btnsearch.BackColor = System.Drawing.SystemColors.InactiveCaption;
			this.btnsearch.Enabled = false;
			this.btnsearch.Location = new System.Drawing.Point(184, 8);
			this.btnsearch.Name = "btnsearch";
			this.btnsearch.Size = new System.Drawing.Size(56, 24);
			this.btnsearch.TabIndex = 2;
			this.btnsearch.Text = "Search";
			this.btnsearch.Click += new System.EventHandler(this.btnsearch_Click);
			this.btnsearch.Enter += new System.EventHandler(this.btnsearch_Enter);
			// 
			// TxtWord
			// 
			this.TxtWord.Location = new System.Drawing.Point(8, 16);
			this.TxtWord.Name = "TxtWord";
			this.TxtWord.Size = new System.Drawing.Size(168, 20);
			this.TxtWord.TabIndex = 1;
			this.TxtWord.Text = "";
			this.TxtWord.KeyPress += new System.Windows.Forms.KeyPressEventHandler(this.TxtWord_KeyPress);
			// 
			// label2
			// 
			this.label2.Location = new System.Drawing.Point(8, 0);
			this.label2.Name = "label2";
			this.label2.Size = new System.Drawing.Size(216, 16);
			this.label2.TabIndex = 0;
			this.label2.Text = "Type in the word to search for:";
			// 
			// tabPage2
			// 
			this.tabPage2.BackColor = System.Drawing.SystemColors.Info;
			this.tabPage2.Controls.Add(this.label9);
			this.tabPage2.Controls.Add(this.label8);
			this.tabPage2.Controls.Add(this.label7);
			this.tabPage2.Controls.Add(this.label6);
			this.tabPage2.Controls.Add(this.label5);
			this.tabPage2.Controls.Add(this.cmbverse);
			this.tabPage2.Controls.Add(this.cmbchapter);
			this.tabPage2.Controls.Add(this.cmbbook);
			this.tabPage2.Controls.Add(this.cmbtitle);
			this.tabPage2.Location = new System.Drawing.Point(4, 22);
			this.tabPage2.Name = "tabPage2";
			this.tabPage2.Size = new System.Drawing.Size(304, 174);
			this.tabPage2.TabIndex = 1;
			this.tabPage2.Text = "             By address              ";
			// 
			// label9
			// 
			this.label9.Location = new System.Drawing.Point(40, 128);
			this.label9.Name = "label9";
			this.label9.Size = new System.Drawing.Size(80, 16);
			this.label9.TabIndex = 8;
			this.label9.Text = "Verse:";
			// 
			// label8
			// 
			this.label8.Location = new System.Drawing.Point(40, 96);
			this.label8.Name = "label8";
			this.label8.Size = new System.Drawing.Size(80, 16);
			this.label8.TabIndex = 7;
			this.label8.Text = "Chapter:";
			// 
			// label7
			// 
			this.label7.Location = new System.Drawing.Point(40, 64);
			this.label7.Name = "label7";
			this.label7.Size = new System.Drawing.Size(88, 16);
			this.label7.TabIndex = 6;
			this.label7.Text = "Book:";
			// 
			// label6
			// 
			this.label6.Location = new System.Drawing.Point(40, 32);
			this.label6.Name = "label6";
			this.label6.Size = new System.Drawing.Size(80, 16);
			this.label6.TabIndex = 5;
			this.label6.Text = "Title:";
			// 
			// label5
			// 
			this.label5.Font = new System.Drawing.Font("Times New Roman", 9.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label5.Location = new System.Drawing.Point(8, 8);
			this.label5.Name = "label5";
			this.label5.Size = new System.Drawing.Size(96, 16);
			this.label5.TabIndex = 4;
			this.label5.Text = "Select ...";
			// 
			// cmbverse
			// 
			this.cmbverse.Location = new System.Drawing.Point(128, 120);
			this.cmbverse.Name = "cmbverse";
			this.cmbverse.Size = new System.Drawing.Size(120, 21);
			this.cmbverse.TabIndex = 3;
			this.cmbverse.SelectedIndexChanged += new System.EventHandler(this.cmbverse_SelectedIndexChanged);
			// 
			// cmbchapter
			// 
			this.cmbchapter.Location = new System.Drawing.Point(128, 88);
			this.cmbchapter.Name = "cmbchapter";
			this.cmbchapter.Size = new System.Drawing.Size(120, 21);
			this.cmbchapter.TabIndex = 2;
			this.cmbchapter.SelectedIndexChanged += new System.EventHandler(this.cmbchapter_SelectedIndexChanged);
			// 
			// cmbbook
			// 
			this.cmbbook.Location = new System.Drawing.Point(128, 56);
			this.cmbbook.Name = "cmbbook";
			this.cmbbook.Size = new System.Drawing.Size(120, 21);
			this.cmbbook.TabIndex = 1;
			this.cmbbook.SelectedIndexChanged += new System.EventHandler(this.cmbbook_SelectedIndexChanged);
			// 
			// cmbtitle
			// 
			this.cmbtitle.Location = new System.Drawing.Point(128, 24);
			this.cmbtitle.Name = "cmbtitle";
			this.cmbtitle.Size = new System.Drawing.Size(120, 21);
			this.cmbtitle.TabIndex = 0;
			this.cmbtitle.SelectedIndexChanged += new System.EventHandler(this.cmbtitle_SelectedIndexChanged);
			// 
			// label1
			// 
			this.label1.BackColor = System.Drawing.SystemColors.Desktop;
			this.label1.Location = new System.Drawing.Point(360, 0);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(8, 464);
			this.label1.TabIndex = 20;
			// 
			// btnabout
			// 
			this.btnabout.Location = new System.Drawing.Point(248, 424);
			this.btnabout.Name = "btnabout";
			this.btnabout.Size = new System.Drawing.Size(48, 24);
			this.btnabout.TabIndex = 21;
			this.btnabout.Text = "About";
			this.btnabout.Click += new System.EventHandler(this.btnabout_Click);
			// 
			// btnDone
			// 
			this.btnDone.Location = new System.Drawing.Point(304, 424);
			this.btnDone.Name = "btnDone";
			this.btnDone.Size = new System.Drawing.Size(48, 24);
			this.btnDone.TabIndex = 22;
			this.btnDone.Text = "Done";
			this.btnDone.Click += new System.EventHandler(this.btnDone_Click);
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Times New Roman", 9.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label3.Location = new System.Drawing.Point(384, 232);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(152, 16);
			this.label3.TabIndex = 23;
			this.label3.Text = "Search ...";
			// 
			// label4
			// 
			this.label4.Font = new System.Drawing.Font("Times New Roman", 9.75F, ((System.Drawing.FontStyle)((System.Drawing.FontStyle.Bold | System.Drawing.FontStyle.Italic))), System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label4.Location = new System.Drawing.Point(16, 232);
			this.label4.Name = "label4";
			this.label4.Size = new System.Drawing.Size(128, 16);
			this.label4.TabIndex = 24;
			this.label4.Text = "Record Data Boxes";
			// 
			// richTextData
			// 
			this.richTextData.Location = new System.Drawing.Point(576, 216);
			this.richTextData.Name = "richTextData";
			this.richTextData.Size = new System.Drawing.Size(96, 32);
			this.richTextData.TabIndex = 25;
			this.richTextData.Text = "";
			this.richTextData.Visible = false;
			// 
			// oleDbSelectCommand1
			// 
			this.oleDbSelectCommand1.CommandText = "SELECT Book, BookTitle, Chapter, TextData, Verse FROM BibleTable ORDER BY Book, C" +
				"hapter, Verse";
			this.oleDbSelectCommand1.Connection = this.oleDbConnection1;
			// 
			// oleDbInsertCommand1
			// 
			this.oleDbInsertCommand1.CommandText = "INSERT INTO BibleTable(Book, BookTitle, Chapter, TextData, Verse) VALUES (?, ?, ?" +
				", ?, ?)";
			this.oleDbInsertCommand1.Connection = this.oleDbConnection1;
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Book", System.Data.OleDb.OleDbType.VarWChar, 50, "Book"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("BookTitle", System.Data.OleDb.OleDbType.VarWChar, 50, "BookTitle"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Chapter", System.Data.OleDb.OleDbType.VarWChar, 50, "Chapter"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("TextData", System.Data.OleDb.OleDbType.VarWChar, 0, "TextData"));
			this.oleDbInsertCommand1.Parameters.Add(new System.Data.OleDb.OleDbParameter("Verse", System.Data.OleDb.OleDbType.VarWChar, 50, "Verse"));
			// 
			// oleDbConnection1
			// 
			this.oleDbConnection1.ConnectionString = @"Jet OLEDB:Global Partial Bulk Ops=2;Jet OLEDB:Registry Path=;Jet OLEDB:Database Locking Mode=1;Data Source=""C:\App_VCSNet\pic\KJV2002.mdb"";Jet OLEDB:Engine Type=5;Provider=""Microsoft.Jet.OLEDB.4.0"";Jet OLEDB:System database=;Jet OLEDB:SFP=False;persist security info=False;Extended Properties=;Mode=Share Deny None;Jet OLEDB:Encrypt Database=False;Jet OLEDB:Create System Database=False;Jet OLEDB:Don't Copy Locale on Compact=False;Jet OLEDB:Compact Without Replica Repair=False;User ID=Admin;Jet OLEDB:Global Bulk Transactions=1";
			// 
			// BookForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.BackColor = System.Drawing.SystemColors.GrayText;
			this.ClientSize = new System.Drawing.Size(696, 461);
			this.Controls.Add(this.richTextData);
			this.Controls.Add(this.label4);
			this.Controls.Add(this.label3);
			this.Controls.Add(this.btnDone);
			this.Controls.Add(this.btnabout);
			this.Controls.Add(this.label1);
			this.Controls.Add(this.tabControl1);
			this.Controls.Add(this.pictureBox2);
			this.Controls.Add(this.pictureBox1);
			this.Controls.Add(this.lblBook);
			this.Controls.Add(this.lblBookTitle);
			this.Controls.Add(this.lblChapter);
			this.Controls.Add(this.editBook);
			this.Controls.Add(this.editBookTitle);
			this.Controls.Add(this.editChapter);
			this.Controls.Add(this.lblVerse);
			this.Controls.Add(this.editTextData);
			this.Controls.Add(this.editVerse);
			this.Controls.Add(this.btnNavFirst);
			this.Controls.Add(this.btnNavPrev);
			this.Controls.Add(this.lblNavLocation);
			this.Controls.Add(this.btnNavNext);
			this.Controls.Add(this.btnLast);
			this.Icon = ((System.Drawing.Icon)(resources.GetObject("$this.Icon")));
			this.Name = "BookForm";
			this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
			this.Text = "BookForm";
			this.Load += new System.EventHandler(this.BookForm_Load);
			((System.ComponentModel.ISupportInitialize)(this.objBookdset)).EndInit();
			this.tabControl1.ResumeLayout(false);
			this.tabPage1.ResumeLayout(false);
			this.tabPage2.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		private void BookForm_Load(object sender, System.EventArgs e)
		{
	
			try 
			{
				// Attempt to load the dataset.
				this.LoadDataSet();
			// display the 2nd record of The 'BibleTable' table 
			this.BindingContext[objBookdset,"BibleTable"].Position = 2;

			// ListView control, set the view to show details.
			this.listView1.View = View.Details;
			View_Listview = 1;

			// ComboBox controls, search by Address 
			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();				
			
			/**
			1- Cmbbook stores the orders of all books.
			2- Cmbbookrecno stores the orders of the KJV records corresponding to the items of Cmbbook.
			3- Cmbtitle stores the titles of books
			4- Cmbtitlerecno stores the orders of the KJV records corresponding to the items of Cmbtitle.
			**/

			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{	
				if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == "001") && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString()== "001"))	
				{
					this.cmbtitle.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["BookTitle"].ToString());
					this.cmbbook.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString());
				}
			}


		}
		catch (System.Exception eLoad) 
		{
			// Add your error handling code here.
			// Display error message, if any.
			System.Windows.Forms.MessageBox.Show(eLoad.Message);
		}
		this.objBookdset_PositionChanged();
            
		// Navigation controls, enebled(False or True
		NavigationFP(false);
		NavigationNL(true);
			
		this.cmbtitle.Text = "Select";
		this.cmbbook.Text = "Select";
		this.cmbchapter.Text = "no select";
		this.cmbverse.Text = "no select";

		
			// StatusBar Panel N1 = Message	
			fm.Show();
			fm.statusBarPanel1.Text = "Ready... "; 
			fm.Refresh();

		}

public void LoadDataSet()
		{
			// Create a new dataset to hold the records returned from the call to FillDataSet.
			// A temporary dataset is used because filling the existing dataset would
			// require the databindings to be rebound.
			App_VCSNet.Bookdset objDataSetTemp;
			objDataSetTemp = new App_VCSNet.Bookdset();
			try 
			{
				// Attempt to fill the temporary dataset.
				this.FillDataSet(objDataSetTemp);
			}
			catch (System.Exception eFillDataSet) 
			{
				// Add your error handling code here.
				throw eFillDataSet;
			}
			try 
			{
				// Empty the old records from the dataset.
				objBookdset.Clear();
				// Merge the records into the main dataset.
				objBookdset.Merge(objDataSetTemp);
			}
			catch (System.Exception eLoadMerge) 
			{
				// Add your error handling code here.
				throw eLoadMerge;
			}

		}

		public void FillDataSet(App_VCSNet.Bookdset dataSet)
		{
			// Turn off constraint checking before the dataset is filled.
			// This allows the adapters to fill the dataset without concern
			// for dependencies between the tables.
			dataSet.EnforceConstraints = false;
			try 
			{
				// Open the connection.
				this.oleDbConnection1.Open();
				// Attempt to fill the dataset through the OleDbDataAdapter1.
				this.oleDbDataAdapter1.Fill(dataSet);
			}
			catch (System.Exception fillException) 
			{
				// Add your error handling code here.
				throw fillException;
			}
			finally 
			{
				// Turn constraint checking back on.
				dataSet.EnforceConstraints = true;
				// Close the connection whether or not the exception was thrown.
				this.oleDbConnection1.Close();
			}

		}
	
		private void NavigationFP( Boolean bval)
		{
			this.btnNavFirst.Enabled = bval;
			this.btnNavPrev.Enabled = bval;
																 
		}
		private void NavigationNL( Boolean  bval)
		{	
			this.btnNavNext.Enabled = bval;
			this.btnLast.Enabled = bval;
		}

		private void objBookdset_PositionChanged()
		{
			this.lblNavLocation.Text = ((((this.BindingContext[objBookdset,"BibleTable"].Position + 1)).ToString() + " of  ") 
				+ (this.BindingContext[objBookdset,"BibleTable"].Count - 1).ToString());

			// Navigation controls enebled(True or False
			if ((this.BindingContext[objBookdset,"BibleTable"].Position  ) <= 2) 
			{
				NavigationFP(false);
				NavigationNL(true);
			}
			else		
			{

				if ((this.BindingContext[objBookdset, "BibleTable"].Position +1) >=  (this.BindingContext[objBookdset, "BibleTable"].Count)) 
				{
					NavigationFP(true);
					NavigationNL(false);
				}
				else 
				{
					NavigationFP(true);
					NavigationNL(true);
				}
			}
		
		}

		private void btnNavFirst_Click(object sender, System.EventArgs e)
		{
			this.BindingContext[objBookdset,"BibleTable"].Position = 2;
			this.objBookdset_PositionChanged();

		}

		private void btnNavPrev_Click(object sender, System.EventArgs e)
		{
			if (this.BindingContext[objBookdset,"BibleTable"].Position > 2) 
			{
			this.BindingContext[objBookdset,"BibleTable"].Position = (this.BindingContext[objBookdset,"BibleTable"].Position - 1);
			this.objBookdset_PositionChanged();
			
			}
			 
		}

		private void btnNavNext_Click(object sender, System.EventArgs e)
		{
			this.BindingContext[objBookdset,"BibleTable"].Position = (this.BindingContext[objBookdset,"BibleTable"].Position + 1);
			this.objBookdset_PositionChanged();

		}

		private void btnLast_Click(object sender, System.EventArgs e)
		{
			this.BindingContext[objBookdset,"BibleTable"].Position = (this.objBookdset.Tables["BibleTable"].Rows.Count - 1);
			this.objBookdset_PositionChanged();

		}

		private void btnabout_Click(object sender, System.EventArgs e)
		{
			About Fabout = new About();
			
			// StatusBar Panel N1 = Message	
			fm.Show();
			fm.statusBarPanel1.Text = "About Form, moment ...";
			fm.Refresh();
			
			Fabout.Show();
		}

		private void btnDone_Click(object sender, System.EventArgs e)
		{
			this.Close();
		}

		private void TxtWord_KeyPress(object sender, System.Windows.Forms.KeyPressEventArgs e)
		{
			// btnSearch is enabled, if the lenght of the word typed in the TxtWord control > 1
			if (this.TxtWord.Text.Length > 1) 
			{
				this.btnsearch.Enabled = true;
				this.btnview.Enabled = false;
			}
		}

		private void btnsearch_Enter(object sender, System.EventArgs e)
		{
			this.lbinfo1.Text = "Moment ...";
		}

		private void btnsearch_Click(object sender, System.EventArgs e)
		{
			// Variable
			int IFound = 0;			
        			                       
			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();

			// Clear ...
			
			this.listView1.Clear();

			// Allow the user to edit item text.
			this.listView1.LabelEdit = true;
			// Allow the user to rearrange columns.
			this.listView1.AllowColumnReorder = true;
			// Select the item and subitems when selection is made.
			this.listView1.FullRowSelect = true;
			// Display grid lines.
			this.listView1.GridLines = true;

			// Column Header   
			this.listView1.Columns.Add("Position", 60, HorizontalAlignment.Center);
			this.listView1.Columns.Add("Book", 40, HorizontalAlignment.Left);
			this.listView1.Columns.Add("Book title", 75, HorizontalAlignment.Left);
			this.listView1.Columns.Add("Chapter", 45, HorizontalAlignment.Left);
			this.listView1.Columns.Add("Verse", 45, HorizontalAlignment.Left);
		
			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{																  
				// Use RichEdit control to store TextData field
				this.richTextData.Text = KJVDSet.Tables["BibleTable"].Rows[vrow]["TextData"].ToString().ToLower();
				
				// Search by Word operation, Use the Find function of RichText control if the TxtWord Value exist
				if  (this.richTextData.Find(this.TxtWord.Text.ToLower()) != -1) 
				{
					// Create item and four sets of subitems.
					ListViewItem item1 = new ListViewItem(System.Convert.ToString(vrow), 0);
					
					// Place a check mark next to the item.
					item1.SubItems.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString());																		 
					item1.SubItems.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["BookTitle"].ToString()); 																		 
					item1.SubItems.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString()); 
					item1.SubItems.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
																		  
					//Add the items to the ListView.
					listView1.Items.AddRange(new ListViewItem[]{item1});	  
																		   
					// Number of verse found
					IFound = IFound + 1;
					if (IFound > 5000)
					{
						this.lbinfo1.Text = " Search results for [" + this.TxtWord.Text + "] - more then" + System.Convert.ToString(IFound) + " verses found.";
					   
						goto ExitPt;
					}  
				}
			}
	
			//'Display the number of items found
			
			if (IFound > 0)
				this.lbinfo1.Text = " Search results for [" + this.TxtWord.Text + "] - " + System.Convert.ToString(IFound) + " verses found.";
			else
			{
				this.lbinfo1.Text = " Search results for [" + this.TxtWord.Text + "] - 0 verse found.";
			}
			ExitPt:
				this.TxtWord.Text = "";
			this.TxtWord.Enabled = true;
			this.btnsearch.Enabled = false;
			this.btnview.Enabled = true;
		}

		private void btnview_Click(object sender, System.EventArgs e)
		{
			View_Listview = View_Listview + 1;
			switch(View_Listview)       
			{         
				case 1:   
					this.listView1.View = View.Details;
					break;                  
				case 2:            
					this.listView1.View = View.LargeIcon;
					break;   
				case 3:            
					this.listView1.View = View.List;
					break;
				case 4:            
					this.listView1.View = View.SmallIcon;
					break;
				case 5:            
					goto case 1;        
				     
			}
		}

		private void listView1_Click(object sender, System.EventArgs e)
		{
			this.BindingContext[objBookdset,"BibleTable"].Position = System.Convert.ToInt16(this.listView1.SelectedItems[0].Text);   // convert string to int
			this.objBookdset_PositionChanged();
		}

		private void cmbtitle_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			int VPosition = 0;

			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();			

			/**
			1- Cmbbook stores the orders of all books.
			2- Cmbtitle stores the titles of books
			3- The Cmbchapter stores all chapters orders of the book corresponding to the item selected
			4- The Cmbverse stores all verses orders of the 1st chapter of the book
			**/

			this.cmbchapter.Items.Clear();
			this.cmbverse.Items.Clear();

			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{	
				if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["BookTitle"].ToString() == this.cmbtitle.SelectedItem.ToString()) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == "001") && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString()== "001"))	
				{
					VPosition = vrow;
					this.cmbchapter.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString());
					this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
					
					goto NextA1;
				}
			}


NextA1:
				for (vrow = VPosition + 1; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
				{	
					if (KJVDSet.Tables["BibleTable"].Rows[vrow]["BookTitle"].ToString() == this.cmbtitle.SelectedItem.ToString())
					{
						if (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == "001")
						{
							this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
						}																			   
						else
						{
							if (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString() == "001")
							{		
								this.cmbchapter.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString());
							}																	 
						}
					}
				}

			/**
			   1- The record displays into the Record data boxes, includes the following data:
			   the order and title of the book corresponding to the item selected,
			   the 1st chapter order of the book,
			   the 1st verse order of the 1st chapter
			   and the contents of the verse.
			2- In the Cmbtitle, displays the item selected
			3- In the Cmbbook, displays the title of the book corresponding to the item selected
			4- In the Cmbchapter, displays the 1st chapter order of the book
			5- In the Cmbverse, displays the 1st verse order of the 1st chapter
		   **/

			this.BindingContext[objBookdset,"BibleTable"].Position = VPosition;
			this.objBookdset_PositionChanged();

			this.cmbbook.SelectedIndex = this.cmbtitle.SelectedIndex;
			this.cmbchapter.SelectedIndex = 0;
			this.cmbverse.SelectedIndex = 0;
		}

		private void cmbbook_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			int VPosition = 0;
	
			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();			
			/**
			1- Cmbbook stores the orders of all books.
			2- Cmbtitle stores the titles of books
			3- The Cmbchapter stores all chapters orders of the book corresponding to the item selected
			4- The Cmbverse stores all verses orders of the 1st chapter of the book
			**/
			this.cmbchapter.Items.Clear();
			this.cmbverse.Items.Clear();

			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{	
				if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString() == this.cmbbook.SelectedItem.ToString()) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == "001") && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString()== "001"))	
				{
					VPosition = vrow;			
					this.cmbchapter.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString());
					this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
					
					goto NextA2;
				}
			}
NextA2:

				for (vrow = VPosition + 1; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
				{	
					if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString() == this.cmbbook.SelectedItem.ToString()))
					{
						if (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == "001")
						{
							this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
						}																			   
						else
						{
							if (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString() == "001")
							{		
								this.cmbchapter.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString());
							}																	 
						}
					}
				}
			/**
			1- The record displays into the Record data boxes, includes the following data:
			   the order and title of the book corresponding to the item selected,
			   the 1st chapter order of the book,
			   the 1st verse order of the 1st chapter
			   and the contents of the verse.
			2- In the Cmbtitle, displays the title of the book corresponding to the item selected
			3- In the Cmbbook, displays the item selected
			4- In the Cmbchapter, displays the 1st chapter order of the book
			5- In the Cmbverse, displays the 1st verse order of the 1st chapter
			**/

			this.BindingContext[objBookdset,"BibleTable"].Position = VPosition;
			this.objBookdset_PositionChanged();
			this.cmbtitle.SelectedIndex = this.cmbbook.SelectedIndex;
			this.cmbchapter.SelectedIndex = 0;
			this.cmbverse.SelectedIndex = 0;
		}

		private void cmbchapter_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			int VPosition = 0;
	
			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();

			this.cmbverse.Items.Clear();
			
			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{	
				if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString() == this.cmbbook.Text) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == this.cmbchapter.SelectedItem.ToString()) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString()== "001"))	
				{
					VPosition = vrow;				
					
					this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
					goto NextA3;				
				}
			}
		
NextA3:
				for (vrow = VPosition + 1; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
				{	
					if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString() == this.cmbbook.Text) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == this.cmbchapter.SelectedItem.ToString()))
					{		
						this.cmbverse.Items.Add(KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString());
					}
				}
			/**
			1- The record displays into the Record data boxes, includes the following data:
			   the order and title of the book corresponding to the item selected,
			   the 1st chapter order of the book,
			   the 1st verse order of the 1st chapter
			   and the contents of the verse.
			2- In the Cmbtitle, displays the title of the book 
			3- In the Cmbbook, displays the title of the book 
			4- In the Cmbchapter, displays the item selected
			5- In the Cmbverse, displays the 1st verse order of the 1st chapter
			**/

			this.BindingContext[objBookdset,"BibleTable"].Position = VPosition;
			this.objBookdset_PositionChanged();
			this.cmbverse.SelectedIndex = 0;
		}
		
		private void cmbverse_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			int VPosition = 0;
	
			selectCMD = new System.Data.OleDb.OleDbCommand("SELECT Book, BookTitle, Chapter, Verse, TextData FROM BibleTable ORDER BY Book, Chapter, Verse", this.oleDbConnection1);
			selectCMD.Connection = this.oleDbConnection1;
			bookDA.SelectCommand = selectCMD;
			KJVDSet= new System.Data.DataSet();
			this.oleDbConnection1.Open();
			bookDA.Fill(KJVDSet,"BibleTable");
			this.oleDbConnection1.Close();

			for (vrow = 2; vrow <= KJVDSet.Tables["BibleTable"].Rows.Count - 1; vrow++)
			{	
				if ((KJVDSet.Tables["BibleTable"].Rows[vrow]["Book"].ToString() == this.cmbbook.Text) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Chapter"].ToString() == this.cmbchapter.Text) && (KJVDSet.Tables["BibleTable"].Rows[vrow]["Verse"].ToString()== this.cmbverse.SelectedItem.ToString()))	
				{
					VPosition = vrow;
					goto NextA4;
				}
			}

NextA4:
        
				/**
				1- The record displays into the Record data boxes, includes the following data:
				   the order and title of the book corresponding to the item selected,
				   the 1st chapter order of the book,
				   the 1st verse order of the 1st chapter
				   and the contents of the verse.
				2- In the Cmbtitle, displays the title of the book 
				3- In the Cmbbook, displays the title of the book 
				4- In the Cmbchapter, displays the book chapter
				5- In the Cmbverse, displays the item selected
				**/
				this.BindingContext[objBookdset,"BibleTable"].Position = VPosition;
			this.objBookdset_PositionChanged();
		}

		

		
		

	}
}
